/* GtkDatabox - An extension to the gtk+ library
 * Copyright (C) 1998 - 2005  Dr. Roland Bock
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __GTK_DATABOX_GRID_H__
#define __GTK_DATABOX_GRID_H__

#ifdef __cplusplus
extern "C"
{
#endif
   
   void             
   gtk_databox_grid_draw (GtkDatabox * box, GtkDataboxData * data);
   
   void
   gtk_databox_grid_cleanup (GtkDatabox * box, GtkDataboxData * data);
   
   gint
   gtk_databox_grid_set_config (GtkDatabox * box, gint index, 
                                guint hlines, guint vlines);
   gint
   gtk_databox_grid_get_config (GtkDatabox * box, gint index,
                                guint *hlines, guint *vlines);
   
#ifdef __cplusplus
}
#endif

#endif                          /* __GTK_DATABOX_GRID_H__ */
